/**
 *
 * Created by Kyle Benk kylebenkapps.com
 *
 */

jQuery(document).ready(function($) {

	/*
	 *
	 * Social Icons Repeater Functions
	 *
	 */

	$("#" + wps_pf_repeater_data.prefix_dash + "social-div-tbody").sortable();

	var MaxInputs       = 20; //maximum input boxes allowed
	var InputsWrapper   = $("#" + wps_pf_repeater_data.prefix_dash + "social-div-tbody"); //Input boxes wrapper ID
	var AddButton       = $("." + wps_pf_repeater_data.prefix_dash + "social-add-platform"); //Add button ID

	var x = $("#" + wps_pf_repeater_data.prefix_dash + "social-div-tbody tr").length;

	$(AddButton).click(function (e) {

		if(x < MaxInputs) {

			var social_type = '<select id="' + wps_pf_repeater_data.prefix_dash + 'social-type" name="' + wps_pf_repeater_data.prefix_dash + 'social-type[]">';

			$.each(wps_pf_repeater_data.social_icons, function(key, value) {
				social_type += '<option value="' + key + '">' + value + '</option>';
			});

			social_type += '</select>';

			var social_url = '<input class="form-control" id="' + wps_pf_repeater_data.prefix_dash + 'social-twitter-url" name="' + wps_pf_repeater_data.prefix_dash + 'social-url[]" type="text" value="" placeholder="http://example.com"/>';

			var remove = '<input class="' + wps_pf_repeater_data.prefix_dash + 'social-remove-platform btn btn-danger" type="button" value="' + wps_pf_repeater_data.remove + '"/>';

			var move = '<span class="fa fa-bars"></span>';

			var new_platform = '<tr class="text-center"><td>' +
				move + '</td><td>' +
				social_type + '</td><td>' +
				social_url + '</td><td>' +
				remove +
				'</td></tr>';

			$(InputsWrapper).append(new_platform);

			x++;
		}

		return false;
	});

	$("body").on("click","." + wps_pf_repeater_data.prefix_dash + "social-remove-platform", function(e){

		if( x >= 0 ) {
        	$(this).parent('td').parent('tr').remove();
        	x--;
        }

		return false;
	});

	/*
	 *
	 * List Items Repeater Functions
	 *
	 */

	$("#" + wps_pf_repeater_data.prefix_dash + "list-div-tbody").sortable();

	var list_MaxInputs       = 20; //maximum input boxes allowed
	var list_InputsWrapper   = $("#" + wps_pf_repeater_data.prefix_dash + "list-div-tbody"); //Input boxes wrapper ID
	var list_AddButton       = $("." + wps_pf_repeater_data.prefix_dash + "list-add-platform"); //Add button ID

	var list_x = $("#" + wps_pf_repeater_data.prefix_dash + "list-div-tbody tr").length;

	$(list_AddButton).click(function (e) {

		if(list_x < list_MaxInputs) {

			var list_icon = '<button class="btn btn-default" name="' + wps_pf_repeater_data.prefix_dash + 'list-icon[]" data-iconset="fontawesome" data-icon="fa-check" role="iconpicker"></button>';

			var list_text = '<input class="form-control" name="' + wps_pf_repeater_data.prefix_dash + 'list-text[]" type="text" value="" placeholder="List item text"/>';

			var remove = '<input class="' + wps_pf_repeater_data.prefix_dash + 'list-remove-platform btn btn-danger" type="button" value="' + wps_pf_repeater_data.remove + '"/>';

			var move = '<span class="fa fa-bars"></span>';

			var new_platform = '<tr class="text-center"><td>' +
				move + '</td><td>' +
				list_icon + '</td><td>' +
				list_text + '</td><td>' +
				remove +
				'</td></tr>';

			$(list_InputsWrapper).append(new_platform);

			list_x++;
		}

		$('button[role="iconpicker"]').iconpicker().iconpicker('setCols', 10).iconpicker('setRows', 5);

		return false;
	});

	$("body").on("click","." + wps_pf_repeater_data.prefix_dash + "list-remove-platform", function(e){

		if( list_x >= 0 ) {
        	$(this).parent('td').parent('tr').remove();
        	list_x--;
        }

		return false;
	});
});