<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form id="<?php echo self::$prefix_dash; ?>form" method="post" class="form-horizontal" role="form">

			<h1 id="nnr-heading"><?php echo isset($_GET['popup_id']) ? __('Edit Popup', self::$text_domain) : __('Add Popup', self::$text_domain); ?>
				<small>

					<a href="<?php echo get_admin_url() . 'admin.php?page=' . self::$dashboard_page ; ?>" class="btn btn-primary nnr-heading-button-left"><?php _e('All Popups', self::$text_domain); ?></a>

					<button type="submit" value="<?php echo (isset($_GET["popup_id"])) ? __("Update", self::$text_domain) : __("Save", self::$text_domain); ?>" class="btn btn-info nnr-heading-button-right" name="submit-bottom">
						<i class="fa fa-hdd-o"></i> <?php echo (isset($_GET["popup_id"])) ? __("Update", self::$text_domain) : __("Save", self::$text_domain); ?>
					</button>
				</small>
			</h1>

			<div class="col-xs-2" style="padding: 0px;">
				<!-- Nav tabs -->
				<ul class="nav nav-pills nav-tabs tabs-left" role="tablist" style="border: 1px solid #dddddd;border-top-left-radius: 4px;border-bottom-left-radius: 4px;">
					<li role="presentation" class="active">
						<a href="#<?php echo self::$prefix_dash;?>template" aria-controls="profile" role="tab" data-toggle="tab">
						<strong><?php _e('Template', self::$text_domain); ?></strong>
						</a>
					</li>

					<li role="presentation">
						<a href="#<?php echo self::$prefix_dash;?>content" aria-controls="home" role="tab" data-toggle="tab">
							<strong><?php _e('Contents', self::$text_domain); ?></strong>
						</a>
					</li>

					<li role="presentation">
						<a href="#<?php echo self::$prefix_dash;?>display-conditions" aria-controls="profile" role="tab" data-toggle="tab">
							<strong><?php _e('Conditions', self::$text_domain); ?></strong>
						</a>
					</li>

					<li role="presentation">
						<a href="#<?php echo self::$prefix_dash;?>style" aria-controls="messages" role="tab" data-toggle="tab">
							<strong><?php _e('Style', self::$text_domain); ?></strong>
						</a>
					</li>

				</ul>
			</div>

			<div class="col-xs-10">

				<!-- Tab panes -->
				<div class="tab-content">

				<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>template">

					<div class="panel panel-danger">
						<div class="panel-heading"><?php _e('Required', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Name -->

							<div class="form-group <?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo 'has-error has-feedback'; ?>">
								<label for="<?php echo self::$prefix_dash; ?>name" class="col-sm-3 control-label"><?php _e('Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>name" name="<?php echo self::$prefix_dash; ?>name" value="<?php echo (isset($edit_data['name']) ? esc_attr($edit_data['name']) :''); ?>">
									<?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<em class="help-block"><?php _e('The name of this Popup.  This will only be used for administration purposes.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Status -->

							<div class="hidden form-group">
								<label for="<?php echo self::$prefix_dash; ?>active" class="col-sm-3 control-label"><?php _e('Status', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>active" name="<?php echo self::$prefix_dash; ?>active" class="form-control">
										<option value="Active" <?php echo ($edit_data['active'] == 'Active' ? 'selected="selected"' :''); ?>><?php _e('Active', self::$text_domain); ?></option>
										<option value="Inactive" <?php echo ($edit_data['active'] == 'Inactive' ? 'selected="selected"' :''); ?>><?php _e('Inactive', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The status of the Popup.  If set to inactive the Popup will not show.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Template', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Template -->

							<div class="form-group">
								<div class="col-sm-12">

									<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

										<?php foreach(self::$template_order as $i) { ?>

										<div class="btn-group col-xs-6 col-sm-4 <?php echo self::$prefix_dash;?>tpl">

											<strong><h4 class="help-block text-center"><?php _e(self::$template_names[$i], self::$text_domain); ?></h4></strong>

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>template-type <?php echo isset($edit_data['template']['type']) && $edit_data['template']['type'] == $i ? 'active' : ''; ?>" data-toggle="tooltip" data-placement="top" title="<?php _e(self::$template_descriptions[$i], self::$text_domain); ?>">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template-type" id="<?php echo self::$prefix_dash; ?>template-type-<?php echo $i; ?>" value="<?php echo $i; ?>" <?php echo isset($edit_data['template']['type']) && $edit_data['template']['type'] == $i ? 'checked="checked"' : ''; ?>/>
												<img class="<?php echo self::$prefix_dash; ?>template-image" src="<?php echo WPSITE_POPUP_PLUGIN_URL . '/img/templates/template-' . $i . '.png'; ?>"/>
											</div>
										</div>

										<?php } ?>

									</div>
								</div>
							</div>

						</div>
					</div>

				</div>

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>content">

					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash;?>global-settings" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Global Attributes', self::$text_domain); ?></a></li>
						<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>template-settings" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Template Attributes', self::$text_domain); ?></a></li>
					</ul>
					<br/>

					<div class="tab-content">

						<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>global-settings">
							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('General', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Heading -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>title" class="col-sm-3 control-label"><?php _e('Heading', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>title" name="<?php echo self::$prefix_dash; ?>title" type='text' value='<?php echo (isset($edit_data['title']) ? esc_attr($edit_data['title']) :'');?>' placeholder="Example Message"/>
											<em class="help-block"><?php _e('The Heading that will be displayed in the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Text / Message -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>text" class="col-sm-3 control-label"><?php _e('Text / Message', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>text" name="<?php echo self::$prefix_dash; ?>text" rows='15'><?php echo (isset($edit_data['text']) ? html_entity_decode($edit_data['text']) :'');?></textarea>
											<em class="help-block"><?php _e('The message that will be displayed in the Popup. This setting accepts HTML tags and shortcode.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Powered By -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>powered-by" class="col-sm-3 control-label"><?php _e('Powered by Popup Fire', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>powered-by" name="<?php echo self::$prefix_dash; ?>powered-by" type='checkbox' <?php echo (isset($edit_data['args']['powered_by']) && $edit_data['args']['powered_by'] == 'yes' ? 'checked="checked"' : '');?>/>
											<label for="<?php echo self::$prefix_dash; ?>powered-by">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Display Powered by Popup Fire in bottom left corner.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Call to Action Type -->

									<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-2 <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12">
										<label for="<?php echo self::$prefix_dash; ?>template-args-call-to-action" class="col-sm-3 control-label"><?php _e('Call to Action Type', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-call-to-action" name="<?php echo self::$prefix_dash; ?>template-args-call-to-action">
												<option value="newsletter" <?php selected('newsletter', $edit_data['template']['args']['call_to_action'], true); ?> ><?php _e('Newsletter', self::$text_domain); ?></option>
												<option value="contact-us" <?php selected('contact-us', $edit_data['template']['args']['call_to_action'], true); ?> ><?php _e('Contact Us', self::$text_domain); ?></option>
												<option value="button" <?php selected('button', $edit_data['template']['args']['call_to_action'], true); ?> ><?php _e('Button Link', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('The type of Call to Action you want in your CTA.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Footer', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Footer -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>text" class="col-sm-3 control-label"><?php _e('Footer', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-footer" name="<?php echo self::$prefix_dash; ?>template-args-footer" rows="10"><?php echo (isset($edit_data['template']['args']['footer']) ? html_entity_decode($edit_data['template']['args']['footer']) :'');?></textarea>
											<em class="help-block"><?php _e('The Footer of the Popup.  This setting accepts HTML tags and shortcode.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Footer Icon -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-footer-icon" class="col-sm-3 control-label"><?php _e('Icon', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>template-args-footer-icon" data-iconset="fontawesome" data-icon="<?php echo isset($edit_data['template']['args']['footer_icon']) ? $edit_data['template']['args']['footer_icon'] : '' ; ?>" role="iconpicker"></button>

											<em class="help-block"><?php _e('The icon that will display to the left of your footer text.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default hidden">
								<div class="panel-heading"><?php _e('Style', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Accent Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>accent-color" class="col-sm-3 control-label"><?php _e('Accent Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>accent-color" name="<?php echo self::$prefix_dash; ?>accent-color" class="color_input" value="<?php echo (isset($edit_data['style']['accent_color']) ? $edit_data['style']['accent_color'] :'');?>"/>
											<em class="help-block"><?php _e('The global accent color of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div><!-- General -->
						</div>

						<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>template-settings">

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12">
								<div class="panel-heading"><?php _e('Image', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Image -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>image" class="col-sm-3 control-label"><?php _e('Image', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<?php
											$image_attributes = wp_get_attachment_image_src($edit_data["image"], 'medium'); // returns an array

											if( $image_attributes ) {
												$image_src = $image_attributes[0];
											} else {
												$image_src = '';
											}
											?>

											<div id="<?php echo self::$prefix_dash; ?>image-show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($image_src) && $image_src != '' ? 'background-image: url(' . $image_src . ');' : ''; ?> background-repeat: no-repeat; background-position: center center;background-size: contain;" class="form-control well"></div>
											<em class="help-block <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-3"><?php _e('Select a high-quality image, recommended dimensions are 680x496.', self::$text_domain)?></em>

											<em class="help-block <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-6"><?php _e('Select a high-quality image, recommended dimensions are 700x300.', self::$text_domain)?></em>

											<em class="help-block <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12"><?php _e('Select a high-quality image, recommended dimensions are 320x320.', self::$text_domain)?></em>

											<input id="<?php echo self::$prefix_dash; ?>image-btn" class="btn btn-primary" type="button" value="<?php _e('Set Image', self::$text_domain); ?>" />
											<input id="<?php echo self::$prefix_dash; ?>image-btn-remove" class="btn btn-danger" type="button" value="<?php _e('Remove Image', self::$text_domain); ?>" />

											<input id="<?php echo self::$prefix_dash; ?>image" name="<?php echo self::$prefix_dash; ?>image" class="form-control hidden" type="text" value="<?php echo isset($edit_data['image']) ? esc_attr($edit_data['image']) : ''; ?>">
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-2 <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12 <?php echo self::$prefix_dash; ?>template-args-call-to-action <?php echo self::$prefix_dash; ?>template-args-call-to-action-button">
								<div class="panel-heading"><?php _e('Link', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Button Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-name" class="col-sm-3 control-label"><?php _e('Button Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-link-name" name="<?php echo self::$prefix_dash; ?>template-args-link-name" type='text' value='<?php echo (isset($edit_data['template']['args']['link_name']) ? esc_attr($edit_data['template']['args']['link_name']) :'');?>' placeholder="Example Link"/>
											<em class="help-block"><?php _e('The text that will be inside the button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link URL -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-url" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-link-url" name="<?php echo self::$prefix_dash; ?>template-args-link-url" type='text' value='<?php echo (isset($edit_data['template']['args']['link_url']) ? $edit_data['template']['args']['link_url'] :'');?>' placeholder="http://example.com"/>
											<em class="help-block"><?php _e('The link URL to which the link name will redirect to.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link Type -->

									<div class="form-group hidden">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-type" class="col-sm-3 control-label"><?php _e('Link Type', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-link-type" name="<?php echo self::$prefix_dash; ?>template-args-link-type">
												<option value="text" <?php echo ($edit_data['template']['args']['link_type'] == 'text' ? 'selected="selected"' :''); ?>><?php _e('Text', self::$text_domain); ?></option>
												<option value="button" <?php echo ($edit_data['template']['args']['link_type'] == 'button' ? 'selected="selected"' :''); ?>><?php _e('Button', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('The type of link you want to display.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link Target -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-target" class="col-sm-3 control-label"><?php _e('Link Target', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-link-target" name="<?php echo self::$prefix_dash; ?>template-args-link-target">
												<option value="_self" <?php echo ($edit_data['template']['args']['link_target'] == '_self' ? 'selected="selected"' :''); ?>><?php _e('Same window', self::$text_domain); ?></option>
												<option value="_blank" <?php echo ($edit_data['template']['args']['link_target'] == '_blank' ? 'selected="selected"' :''); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Should the link be opened in the same or new window?', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link rel nofollow -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-rel" class="col-sm-3 control-label"><?php _e('Rel No Follow', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-link-rel" name="<?php echo self::$prefix_dash; ?>template-args-link-rel" type="checkbox" <?php echo isset($edit_data['template']['args']['link_rel']) && $edit_data['template']['args']['link_rel'] ? 'checked="checked"' : ''; ?>/>
											<label for="<?php echo self::$prefix_dash; ?>template-args-link-rel">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Adds a rel="nofollow" to the link.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Button Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-text-color" class="col-sm-3 control-label"><?php _e('Button Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>template-args-link-text-color" name="<?php echo self::$prefix_dash; ?>template-args-link-text-color" class="color_input" value="<?php echo (isset($edit_data['template']['args']['link_text_color']) ? $edit_data['template']['args']['link_text_color'] :'');?>"/>
											<em class="help-block"><?php _e('The button text color.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Button Background Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-link-button-color" class="col-sm-3 control-label"><?php _e('Button Background Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>template-args-link-button-color" name="<?php echo self::$prefix_dash; ?>template-args-link-button-color" class="color_input" value="<?php echo (isset($edit_data['template']['args']['link_button_color']) ? $edit_data['template']['args']['link_button_color'] :'');?>"/>
											<em class="help-block"><?php _e('The button background color.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div><!-- Link -->

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-8">
								<div class="panel-heading"><?php _e('Yes Button', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Yes Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-yes-text" class="col-sm-3 control-label"><?php _e('Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-yes-text" name="<?php echo self::$prefix_dash; ?>template-args-yes-text" type='text' value='<?php echo (isset($edit_data['template']['args']['yes_text']) ? esc_attr($edit_data['template']['args']['yes_text']) :'');?>' placeholder="YES"/>
											<em class="help-block"><?php _e('The text for the left button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Yes Sub Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-yes-sub-text" class="col-sm-3 control-label"><?php _e('Sub Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-yes-sub-text" name="<?php echo self::$prefix_dash; ?>template-args-yes-sub-text" type='text' value='<?php echo (isset($edit_data['template']['args']['yes_sub_text']) ? esc_attr($edit_data['template']['args']['yes_sub_text']) :'');?>' placeholder="let's do this."/>
											<em class="help-block"><?php _e('The sub-text for the left button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link URL -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-yes-link-url" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-yes-link-url" name="<?php echo self::$prefix_dash; ?>template-args-yes-link-url" type='text' value='<?php echo (isset($edit_data['template']['args']['yes_link_url']) ? $edit_data['template']['args']['yes_link_url'] :'');?>' placeholder="http://example.com"/>
											<em class="help-block"><?php _e('The link URL to which the link name will redirect to.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link Target -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-yes-link-target" class="col-sm-3 control-label"><?php _e('Link Target', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-yes-link-target" name="<?php echo self::$prefix_dash; ?>template-args-yes-link-target">
												<option value="_self" <?php echo ($edit_data['template']['args']['yes_link_target'] == '_self' ? 'selected="selected"' :''); ?>><?php _e('Same window', self::$text_domain); ?></option>
												<option value="_blank" <?php echo ($edit_data['template']['args']['yes_link_target'] == '_blank' ? 'selected="selected"' :''); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Should the link be opened in the same or new window?', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link rel nofollow -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-yes-link-rel" class="col-sm-3 control-label"><?php _e('Rel No Follow', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-yes-link-rel" name="<?php echo self::$prefix_dash; ?>template-args-yes-link-rel" type="checkbox" <?php echo isset($edit_data['template']['args']['yes_link_rel']) && $edit_data['template']['args']['yes_link_rel'] ? 'checked="checked"' : ''; ?>/>
											<label for="<?php echo self::$prefix_dash; ?>template-args-yes-link-rel">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Adds a rel="nofollow" to the link.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Yes Button Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>yes-color" class="col-sm-3 control-label"><?php _e('Yes Button Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>yes-color" name="<?php echo self::$prefix_dash; ?>yes-color" class="color_input" value="<?php echo (isset($edit_data['style']['yes_color']) ? $edit_data['style']['yes_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the Yes button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Yes Button Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>yes-bg-color" class="col-sm-3 control-label"><?php _e('Yes Button Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>yes-bg-color" name="<?php echo self::$prefix_dash; ?>yes-bg-color" class="color_input" value="<?php echo (isset($edit_data['style']['yes_bg_color']) ? $edit_data['style']['yes_bg_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the Yes button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div><!-- Yes Link -->

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-8">
								<div class="panel-heading"><?php _e('No Button', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- No Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-no-text" class="col-sm-3 control-label"><?php _e('Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-no-text" name="<?php echo self::$prefix_dash; ?>template-args-no-text" type='text' value='<?php echo (isset($edit_data['template']['args']['no_text']) ? esc_attr($edit_data['template']['args']['no_text']) :'');?>' placeholder="NO"/>
											<em class="help-block"><?php _e('The text for the right button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- No Sub Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-no-sub-text" class="col-sm-3 control-label"><?php _e('Sub Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-no-sub-text" name="<?php echo self::$prefix_dash; ?>template-args-no-sub-text" type='text' value='<?php echo (isset($edit_data['template']['args']['no_sub_text']) ? esc_attr($edit_data['template']['args']['no_sub_text']) :'');?>' placeholder="let's consider it gone."/>
											<em class="help-block"><?php _e('The sub-text for the right button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link URL -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-no-link-url" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-no-link-url" name="<?php echo self::$prefix_dash; ?>template-args-no-link-url" type='text' value='<?php echo (isset($edit_data['template']['args']['no_link_url']) ? $edit_data['template']['args']['no_link_url'] :'');?>' placeholder="http://example.com"/>
											<em class="help-block"><?php _e('The link URL to which the link name will redirect to.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link Target -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-no-link-target" class="col-sm-3 control-label"><?php _e('Link Target', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-no-link-target" name="<?php echo self::$prefix_dash; ?>template-args-no-link-target">
												<option value="_self" <?php echo ($edit_data['template']['args']['no_link_target'] == '_self' ? 'selected="selected"' :''); ?>><?php _e('Same window', self::$text_domain); ?></option>
												<option value="_blank" <?php echo ($edit_data['template']['args']['no_link_target'] == '_blank' ? 'selected="selected"' :''); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Should the link be opened in the same or new window?', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Link rel nofollow -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-no-link-rel" class="col-sm-3 control-label"><?php _e('Rel No Follow', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-no-link-rel" name="<?php echo self::$prefix_dash; ?>template-args-no-link-rel" type="checkbox" <?php echo isset($edit_data['template']['args']['no_link_rel']) && $edit_data['template']['args']['no_link_rel'] ? 'checked="checked"' : ''; ?>/>
											<label for="<?php echo self::$prefix_dash; ?>template-args-no-link-rel">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Adds a rel="nofollow" to the link.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- No Button Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>no-color" class="col-sm-3 control-label"><?php _e('No Button Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>no-color" name="<?php echo self::$prefix_dash; ?>no-color" class="color_input" value="<?php echo (isset($edit_data['style']['no_color']) ? $edit_data['style']['no_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the No button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- No Button Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>no-bg-color" class="col-sm-3 control-label"><?php _e('No Button Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>no-bg-color" name="<?php echo self::$prefix_dash; ?>no-bg-color" class="color_input" value="<?php echo (isset($edit_data['style']['no_bg_color']) ? $edit_data['style']['no_bg_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the No button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div><!-- No Link -->

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-5">
								<div class="panel-heading"><?php _e('Video', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Video Type -->

									<div class="form-group hidden">
										<label for="<?php echo self::$prefix_dash; ?>template-args-video-type" class="col-sm-3 control-label"><?php _e('Video Type', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>template-args-video-type" name="<?php echo self::$prefix_dash; ?>template-args-video-type">
												<option value="youtube" <?php echo ($edit_data['template']['args']['video_type'] == 'youtube' ? 'selected="selected"' :''); ?>><?php _e('YouTube', self::$text_domain); ?></option>
												<option value="vimeo" <?php echo ($edit_data['template']['args']['video_type'] == 'vimeo' ? 'selected="selected"' :''); ?>><?php _e('Vimeo', self::$text_domain); ?></option>
												<!-- <option value="dailymotion" <?php echo ($edit_data['template']['args']['video_type'] == 'dailymotion' ? 'selected="selected"' :''); ?>><?php _e('Daily Motion', self::$text_domain); ?></option> -->
											</select>
											<em class="help-block"><?php _e('The type of video you want to display.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Video URL -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-video-url" class="col-sm-3 control-label"><?php _e('Video URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>template-args-video-url" name="<?php echo self::$prefix_dash; ?>template-args-video-url" type='text' value='<?php echo (isset($edit_data['template']['args']['video_url']) ? $edit_data['template']['args']['video_url'] :'');?>' placeholder="http://example.com"/>
											<em class="help-block"><?php _e('The URL of the video.  You can see all support video types', self::$text_domain); ?> <a href="http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F" target="_blank"><?php _e('here.', self::$text_domain); ?></a></em>
										</div>
									</div>

								</div>
							</div><!-- Video -->

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-2 <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12 <?php echo self::$prefix_dash; ?>template-args-call-to-action <?php echo self::$prefix_dash; ?>template-args-call-to-action-newsletter">
								<div class="panel-heading"><?php _e('Newsletter', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Newsletter -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-type" class="col-sm-3 control-label"><?php _e('Newsletter', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-type" name="<?php echo self::$prefix_dash; ?>news-letter-type">
												<option value="WordPress" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'WordPress') ? 'selected="selected"' :''); ?>><?php _e('WordPress', self::$text_domain); ?></option>
												<option value="MailChimp" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'MailChimp') ? 'selected="selected"' :''); ?>><?php _e('MailChimp', self::$text_domain); ?></option>
												<option value="aweber" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'aweber') ? 'selected="selected"' :''); ?>><?php _e('Aweber', self::$text_domain); ?></option>
												<option value="getresponse" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'getresponse') ? 'selected="selected"' :''); ?>><?php _e('Get Response', self::$text_domain); ?></option>
												<option value="campaignmonitor" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'campaignmonitor') ? 'selected="selected"' :''); ?>><?php _e('Campaign Monitor', self::$text_domain); ?></option>
												<option value="madmimi" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'madmimi') ? 'selected="selected"' :''); ?>><?php _e('Mad Mimi', self::$text_domain); ?></option>
												<option value="infusionsoft" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'infusionsoft') ? 'selected="selected"' :''); ?>><?php _e('Infusionsoft', self::$text_domain); ?></option>
										<option value="mymail" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'mymail') ? 'selected="selected"' :''); ?>><?php _e('MyMail', self::$text_domain); ?></option>
										<option value="activecampaign" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'activecampaign') ? 'selected="selected"' :''); ?>><?php _e('Active Campaign', self::$text_domain); ?></option>
												<option value="feedburner" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'feedburner') ? 'selected="selected"' :''); ?>><?php _e('Feedburner', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Select the type of newsletter you want to use.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- MailChimp URL <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div -->

									<div class="form-group hidden">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" class="col-sm-3 control-label"><?php _e('MailChimp URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-url" type="text" value="<?php echo (isset($edit_data['news_letter']['MailChimp']['url']) ? $edit_data['news_letter']['MailChimp']['url'] :''); ?>" />
											<em class="help-block"><?php _e('Add your MailChimp ', self::$text_domain); ?><a href="https://www.youtube.com/watch?v=uo-Sze5oreM" target="_blank"><?php _e('Signup form URL', self::$text_domain); ?></a><?php _e(' here to add MailChimp Newsletter support.  Example URL: http://xxx.xxx.list-manage.com/subscribe/post?u=xxx&id=xxx', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- MailChimp Optin In -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" class="col-sm-3 control-label"><?php _e('MailChimp Double Opt-in', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" type="checkbox" <?php echo (isset($edit_data['news_letter']['MailChimp']['optin']) && $edit_data['news_letter']['MailChimp']['optin'] ? 'checked="checked"' : ''); ?>/>
											<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Require users to verify their email address in order to subscribe to your list.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- MailChimp API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp API Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['MailChimp']['api_key']) ? $edit_data['news_letter']['MailChimp']['api_key'] :''); ?>" />
											<em class="help-block"><?php _e('Add your MailChimp ', self::$text_domain); ?><a href="http://kb.mailchimp.com/accounts/management/about-api-keys" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- MailChimp List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp List', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<select id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" data-list="<?php echo $edit_data['news_letter']['MailChimp']['list']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Aweber Actions -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label class="col-sm-3 control-label"><?php _e('Step 1:', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<a href="https://auth.aweber.com/1.0/oauth/authorize_app/<?php echo self::$aweber_app_id; ?>" target="_blank" class="btn btn-primary <?php echo self::$prefix_dash; ?>news-letter-aweber-connect"><?php isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] == '' ? _e('Get Code', self::$text_domain) : _e('Reconnect Account', self::$text_domain); ?></a>
										</div>
									</div>

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] != '' ? 'hidden' : ''; ?>">
										<label class="col-sm-3 control-label"><?php _e('Step 2:', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" type="text" value=""/>
											<em class="help-block"><?php _e('Copy the authorization code here and wait for lists to populate.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- AWeber Customer Key -->

									<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" class="col-sm-3 control-label"><?php _e('Customer Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_key']) ? $edit_data['news_letter']['aweber']['consumer_key'] :''); ?>" />
										</div>
									</div>

									<!-- AWeber Customer Secret -->

									<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" class="col-sm-3 control-label"><?php _e('Customer Secret', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_secret']) ? $edit_data['news_letter']['aweber']['consumer_secret'] :''); ?>" />
										</div>
									</div>

									<!-- AWeber Access Key -->

									<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" class="col-sm-3 control-label"><?php _e('Access Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_key']) ? $edit_data['news_letter']['aweber']['access_key'] :''); ?>" />
										</div>
									</div>

									<!-- AWeber Access Secret -->

									<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" class="col-sm-3 control-label"><?php _e('Access Secret', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_secret']) ? $edit_data['news_letter']['aweber']['access_secret'] :''); ?>" />
										</div>
									</div>

									<!-- AWeber List ID -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" data-list="<?php echo $edit_data['news_letter']['aweber']['list_id']; ?>"></select>
										</div>
									</div>

									<!-- Get Response API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" class="col-sm-3 control-label"><?php _e('Get Response API Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['getresponse']['api_key']) ? $edit_data['news_letter']['getresponse']['api_key'] :''); ?>" />
											<em class="help-block"><?php _e('Add your Get Response ', self::$text_domain); ?><a href="http://www.getresponse.com/learning-center/glossary/api-key.html" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Get Response List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" class="col-sm-3 control-label"><?php _e('Get Response List', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<select id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" data-campaign="<?php echo $edit_data['news_letter']['getresponse']['campaign']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Campaign Monitor API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" class="col-sm-3 control-label"><?php _e('API Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['campaignmonitor']['api_key']) ? $edit_data['news_letter']['campaignmonitor']['api_key'] :''); ?>" />
											<em class="help-block"><?php _e('Add your Campaign Monitor ', self::$text_domain); ?><a href="http://help.campaignmonitor.com/topic.aspx?t=206" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Popup.', self::$text_domain); ?></em>

										</div>
									</div>

									<!-- Campaign Monitor Client -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" class="col-sm-3 control-label"><?php _e('Campaign Monitor Client', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" data-client="<?php echo $edit_data['news_letter']['campaignmonitor']['client']; ?>"></select>
											<em class="help-block"><?php _e('Select the client you want to use.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Campaign Monitor List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" class="col-sm-3 control-label"><?php _e('Campaign Monitor List', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" data-list="<?php echo $edit_data['news_letter']['campaignmonitor']['list']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Mad Mimi Username -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" class="col-sm-3 control-label"><?php _e('Mad Mimi Username / Email', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['username']) ? $edit_data['news_letter']['madmimi']['username'] :''); ?>" />
											<em class="help-block"><?php _e('Your Mad Mini username or associated email address.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Mad Mimi API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" class="col-sm-3 control-label"><?php _e('Mad Mimi API Key', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['api_key']) ? $edit_data['news_letter']['madmimi']['api_key'] :''); ?>" />
											<em class="help-block"><?php _e('Add your Mad Mimi ', self::$text_domain); ?><a href="http://help.madmimi.com/where-can-i-find-my-api-key/" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Mad Mimi List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" class="col-sm-3 control-label"><?php _e('Mad Mimi List', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<select id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" data-list="<?php echo $edit_data['news_letter']['madmimi']['list']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Infusionsoft App ID -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-app-id" class="col-sm-3 control-label"><?php _e('Infusionsoft App ID', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-app-id" name="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-app-id" type="text" value="<?php echo (isset($edit_data['news_letter']['infusionsoft']['app_id']) ? $edit_data['news_letter']['infusionsoft']['app_id'] :''); ?>" />
											<em class="help-block"><?php _e('You can find your application name in the url you goto to login. eg. https://YOURAPPNAME.infusionsoft.com', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Infusionsoft API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-api-key" class="col-sm-3 control-label"><?php _e('Infusionsoft', self::$text_domain); ?> <a href="http://ug.infusionsoft.com/article/AA-00442/0/How-do-I-enable-the-Infusionsoft-API-and-generate-an-API-Key.html" target="_blank"><?php _e('API Key', self::$text_domain); ?></a></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['infusionsoft']['api_key']) ? $edit_data['news_letter']['infusionsoft']['api_key'] :''); ?>" />
										</div>
									</div>

									<!-- Infusionsoft List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-list" class="col-sm-3 control-label"><?php _e('Infusionsoft List', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-list" name="<?php echo self::$prefix_dash; ?>news-letter-infusionsoft-list" data-list="<?php echo $edit_data['news_letter']['infusionsoft']['list']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- MyMail List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('MyMail List', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-mymail-list" name="<?php echo self::$prefix_dash; ?>news-letter-mymail-list" data-list="<?php echo $edit_data['news_letter']['mymail']['list']; ?>"></select>
											<em class="help-block"><?php _e('The MyMail list you want your subscribers to go into', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Active Campaign App URL -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-app-url" class="col-sm-3 control-label"><?php _e('Active Campaign', self::$text_domain); ?> <a href="http://www.activecampaign.com/help/using-the-api/" target="_blank"><?php _e('API URL', self::$text_domain); ?></a></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-app-url" name="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-app-url" type="text" value="<?php echo (isset($edit_data['news_letter']['activecampaign']['app_url']) ? $edit_data['news_letter']['activecampaign']['app_url'] :''); ?>" />
											<em class="help-block"><?php _e('Your API URL for your account', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Active Campaign API Key -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-api-key" class="col-sm-3 control-label"><?php _e('Active Campaign', self::$text_domain); ?> <a href="http://www.activecampaign.com/help/using-the-api/" target="_blank"><?php _e('API Key', self::$text_domain); ?></a></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['activecampaign']['api_key']) ? $edit_data['news_letter']['activecampaign']['api_key'] :''); ?>" />
										</div>
									</div>

									<!-- Active Campaign List -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-list" class="col-sm-3 control-label"><?php _e('Active Campaign List', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-list" name="<?php echo self::$prefix_dash; ?>news-letter-activecampaign-list" data-list="<?php echo $edit_data['news_letter']['activecampaign']['list']; ?>"></select>
											<em class="help-block"><?php _e('Select the list you want your subscribers to go into', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- First Name Placeholder -->

									<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name-placeholder" class="col-sm-3 control-label"><?php _e('First Name Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-first-name-placeholder" name="<?php echo self::$prefix_dash; ?>news-letter-first-name-placeholder" type="text" value="<?php echo (isset($edit_data['news_letter']['first_name_placeholder']) ? esc_attr($edit_data['news_letter']['first_name_placeholder']) : $default_popup_fire['news_letter']['first_name_placeholder']); ?>" />
											<em class="help-block"><?php _e('The placeholder text within the First Name field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Last Name Placeholder -->

									<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name-placeholder" class="col-sm-3 control-label"><?php _e('Last Name Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-last-name-placeholder" name="<?php echo self::$prefix_dash; ?>news-letter-last-name-placeholder" type="text" value="<?php echo (isset($edit_data['news_letter']['last_name_placeholder']) ? esc_attr($edit_data['news_letter']['last_name_placeholder']) : $default_popup_fire['news_letter']['last_name_placeholder']); ?>"/>
											<em class="help-block"><?php _e('The placeholder text within the Last Name field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Email Placeholder -->

									<div class="form-group has-feedback">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-email-placeholder" class="col-sm-3 control-label"><?php _e('Email Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-email-placeholder" name="<?php echo self::$prefix_dash; ?>news-letter-email-placeholder" type="text" value="<?php echo (isset($edit_data['news_letter']['email_placeholder']) ? esc_attr($edit_data['news_letter']['email_placeholder']) : $default_popup_fire['news_letter']['email_placeholder']); ?>" />
											<em class="help-block"><?php _e('The placeholder text within the Email field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- First Name -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name" class="col-sm-3 control-label"><?php _e('First Name', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-first-name" name="<?php echo self::$prefix_dash; ?>news-letter-first-name" type="checkbox" <?php echo isset($edit_data['news_letter']['first_name']) && $edit_data['news_letter']['first_name'] ? 'checked="checked"' : ''; ?>/>
											<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Include first name.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Last Name -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name" class="col-sm-3 control-label"><?php _e('Last Name', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-last-name" name="<?php echo self::$prefix_dash; ?>news-letter-last-name" type="checkbox" <?php echo isset($edit_data['news_letter']['last_name']) && $edit_data['news_letter']['last_name'] ? 'checked="checked"' : ''; ?>/>
											<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Include last name.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Button Text -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-button-text" class="col-sm-3 control-label"><?php _e('Button Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-button-text" name="<?php echo self::$prefix_dash; ?>news-letter-button-text" type="text" value="<?php echo (isset($edit_data['news_letter']['button_text']) ? esc_attr($edit_data['news_letter']['button_text']) : $default_popup['news_letter']['button_text']); ?>" />
											<em class="help-block"><?php _e('The text within the Newsletter submit button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Button Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>nl-color" class="col-sm-3 control-label"><?php _e('Subscribe Button Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>nl-color" name="<?php echo self::$prefix_dash; ?>nl-color" class="color_input" value="<?php echo (isset($edit_data['style']['nl_color']) ? $edit_data['style']['nl_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the subscribe button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Button Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>nl-bg-color" class="col-sm-3 control-label"><?php _e('Subscribe Button Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>nl-bg-color" name="<?php echo self::$prefix_dash; ?>nl-bg-color" class="color_input" value="<?php echo (isset($edit_data['style']['nl_bg_color']) ? $edit_data['style']['nl_bg_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the subscribe button text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Icon -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon" class="col-sm-3 control-label"><?php _e('Subscribe Icon', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon" data-iconset="fontawesome" data-icon="<?php echo isset($edit_data['template']['args']['subscribe_icon']) ? $edit_data['template']['args']['subscribe_icon'] : ''; ?>" role="iconpicker"></button>

											<em class="help-block"><?php _e('The icon that will display next to the text inside your Subscribe button.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Icon Place -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place" class="col-sm-3 control-label"><?php _e('Subscribe Icon Place', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<div class="btn-group btn-group-justified" data-toggle="buttons">

												<label class="btn btn-default <?php echo isset($edit_data['template']['args']['subscribe_icon_place']) && $edit_data['template']['args']['subscribe_icon_place'] == 'before' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place">
													<input type="radio" name="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place" id="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place-before" value="before" <?php echo isset($edit_data['template']['args']['subscribe_icon_place']) && $edit_data['template']['args']['subscribe_icon_place'] == 'before' ? 'checked="checked"' : ''; ?>/> <i class="fa fa-outdent"></i> <?php _e('Before', self::$text_domain); ?>
												</label>

												<label class="btn btn-default <?php echo isset($edit_data['template']['args']['subscribe_icon_place']) && $edit_data['template']['args']['subscribe_icon_place'] == 'after' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place">
													<input type="radio" name="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place" id="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place-after" value="after" <?php echo isset($edit_data['template']['args']['subscribe_icon_place']) && $edit_data['template']['args']['subscribe_icon_place'] == 'after' ? 'checked="checked"' : ''; ?>/> <?php _e('After', self::$text_domain); ?> <i class="fa fa-indent"></i>
												</label>

											</div>
											<em class="help-block"><?php _e('Where the subscribe icon will be placed in relation to the Subscribe button\'s text.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Feedburner -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-feedburner-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" name="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" type="text" value="<?php echo (isset($edit_data['news_letter']['feedburner']['id']) ? $edit_data['news_letter']['feedburner']['id'] :''); ?>" />
											<em class="help-block"><?php _e('The ID to the feedburner mailing list.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-2 <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-4 <?php echo self::$prefix_dash; ?>template-5 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-7 <?php echo self::$prefix_dash; ?>template-args-call-to-action <?php echo self::$prefix_dash; ?>template-args-call-to-action-contact-us">

								<div class="panel-heading"><?php _e('Contact Us', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Email -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>contact-us-email" class="col-sm-3 control-label"><?php _e('Email(s)', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input id="<?php echo self::$prefix_dash; ?>contact-us-email" name="<?php echo self::$prefix_dash; ?>contact-us-email" class="form-control" type="text" value="<?php echo isset($edit_data['template']['args']['contact_us']['email']) ? esc_attr($edit_data['template']['args']['contact_us']['email']) : ''; ?>" placeholder="e.g. bob@example.com or bob@example.com, jane@example.com, kyle@example.com">
											<em class="help-block"><?php _e('The email(s) in which all submissions are sent.  Please separate multiple emails with a comma. (e.g bob@gmail.com, kyle@gmail.com)', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Email Placeholder -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>contact-us-email-placeholder" class="col-sm-3 control-label"><?php _e('Email Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>contact-us-email-placeholder" name="<?php echo self::$prefix_dash; ?>contact-us-email-placeholder" type="text" value="<?php echo (isset($edit_data['template']['args']['contact_us']['email_placeholder']) ? esc_attr($edit_data['template']['args']['contact_us']['email_placeholder']) : $default_popup['template']['args']['contact_us']['email_placeholder']); ?>"/>
											<em class="help-block"><?php _e('The placeholder text within the Email field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subject Placeholder -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>contact-us-subject-placeholder" class="col-sm-3 control-label"><?php _e('Subject Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>contact-us-subject-placeholder" name="<?php echo self::$prefix_dash; ?>contact-us-subject-placeholder" type="text" value="<?php echo (isset($edit_data['template']['args']['contact_us']['subject_placeholder']) ? esc_attr($edit_data['template']['args']['contact_us']['subject_placeholder']) : $default_popup['template']['args']['contact_us']['subject_placeholder']); ?>" data-live-preview="true" data-property-name="subject_placeholder" data-property-parent="contact_us"/>
											<em class="help-block"><?php _e('The placeholder text within the Subject field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Message Placeholder -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>contact-us-message-placeholder" class="col-sm-3 control-label"><?php _e('Message Placeholder Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>contact-us-message-placeholder" name="<?php echo self::$prefix_dash; ?>contact-us-message-placeholder" type="text" value="<?php echo (isset($edit_data['template']['args']['contact_us']['message_placeholder']) ? esc_attr($edit_data['template']['args']['contact_us']['message_placeholder']) : $default_popup['template']['args']['contact_us']['message_placeholder']); ?>"/>
											<em class="help-block"><?php _e('The placeholder text within the Message field', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Button Text -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>contact-us-button-text" class="col-sm-3 control-label"><?php _e('Button Text', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>contact-us-button-text" name="<?php echo self::$prefix_dash; ?>contact-us-button-text" type="text" value="<?php echo isset($edit_data['template']['args']['contact_us']['button_text']) ? esc_attr($edit_data['template']['args']['contact_us']['button_text']) : $default_popup['template']['args']['contact_us']['button_text']; ?>"/>
											<em class="help-block"><?php _e('The text within the Contact Us form submit button', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Icon -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-contact-icon" class="col-sm-3 control-label"><?php _e('Contact Us Icon', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>template-args-contact-icon" data-iconset="fontawesome" data-icon="<?php echo isset($edit_data['template']['args']['contact_icon']) ? $edit_data['template']['args']['contact_icon'] : ''; ?>" role="iconpicker"></button>
											<em class="help-block"><?php _e('The icon that will display next to the text inside your Contact Us button', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Icon Place -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place" class="col-sm-3 control-label"><?php _e('Contact Us Icon Place', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<div class="btn-group" data-toggle="buttons">

												<label class="btn btn-default <?php echo isset($edit_data['template']['args']['contact_icon_place']) && $edit_data['template']['args']['contact_icon_place'] == 'before' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place">
													<input type="radio" name="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place" id="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place-before" value="before" <?php echo isset($edit_data['template']['args']['contact_icon_place']) && $edit_data['template']['args']['subscribe_icon_place'] == 'before' ? 'checked="checked"' : ''; ?>/> <i class="fa fa-outdent"></i> <?php _e('Before', self::$text_domain); ?>
												</label>

												<label class="btn btn-default <?php echo isset($edit_data['template']['args']['subscribe_icon_place']) && $edit_data['template']['args']['contact_icon_place'] == 'after' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place">
													<input type="radio" name="<?php echo self::$prefix_dash; ?>template-args-contact-icon-place" id="<?php echo self::$prefix_dash; ?>template-args-subscribe-icon-place-after" value="after" <?php echo isset($edit_data['template']['args']['contact_icon_place']) && $edit_data['template']['args']['contact_icon_place'] == 'after' ? 'checked="checked"' : ''; ?>/> <?php _e('After', self::$text_domain); ?> <i class="fa fa-indent"></i>
												</label>

											</div>
											<em class="help-block"><?php _e('Where the subscribe icon will be placed in relation to the Contact button\'s text', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Button Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>cu-color" class="col-sm-3 control-label"><?php _e('Contact Us Button Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>cu-color" name="<?php echo self::$prefix_dash; ?>cu-color" class="color_input" value="<?php echo (isset($edit_data['style']['cu_color']) ? $edit_data['style']['cu_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the Contact Us button text inside the CTA', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Subscribe Button Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>cu-bg-color" class="col-sm-3 control-label"><?php _e('Contact Us Button Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>cu-bg-color" name="<?php echo self::$prefix_dash; ?>cu-bg-color" class="color_input" value="<?php echo (isset($edit_data['style']['cu_bg_color']) ? $edit_data['style']['cu_bg_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the Contact Us button text inside the CTA', self::$text_domain); ?></em>
										</div>
									</div>

								</div>

							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-1 <?php echo self::$prefix_dash; ?>template-2 <?php echo self::$prefix_dash; ?>template-3 <?php echo self::$prefix_dash; ?>template-6 <?php echo self::$prefix_dash; ?>template-9 <?php echo self::$prefix_dash; ?>template-10 <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12 <?php echo self::$prefix_dash; ?>template-args-call-to-action <?php echo self::$prefix_dash; ?>template-args-call-to-action-newsletter <?php echo self::$prefix_dash; ?>template-args-call-to-action-contact-us">
								<div class="panel-heading"><?php _e('Success Action', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Success Action -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-success-message" class="col-sm-3 control-label"><?php _e('Success Action', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>news-letter-success-action" name="<?php echo self::$prefix_dash; ?>news-letter-success-action">
												<option value="message" <?php selected('message', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Show a message', self::$text_domain); ?></option>
												<option value="redirect" <?php selected('redirect', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Redirect to another page', self::$text_domain); ?></option>
											</select>
											<em class="help-block" aria-hidden="true"><?php _e('What should happen after a user successfully signs up to your newsletter, or sends you a message via the Contact form?', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Success URL -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-redirect">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-success-url" class="col-sm-3 control-label"><?php _e('Success URL', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-url" name="<?php echo self::$prefix_dash; ?>news-letter-success-url" type="text" value="<?php echo (isset($edit_data['news_letter']['success_url']) ? esc_attr($edit_data['news_letter']['success_url']) : $default_popup['news_letter']['success_url']); ?>" />
											<em class="help-block"><?php _e('Where the user will be redirected after a successful signup, usually a Thank You page.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Success Message -->

									<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-infusionsoft-div <?php echo self::$prefix_dash; ?>news-letter-mymail-div <?php echo self::$prefix_dash; ?>news-letter-activecampaign-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-message">
										<label for="<?php echo self::$prefix_dash; ?>news-letter-success-message" class="col-sm-3 control-label"><?php _e('Success Message', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-message" name="<?php echo self::$prefix_dash; ?>news-letter-success-message" type="text" value="<?php echo (isset($edit_data['news_letter']['success_message']) ? esc_attr($edit_data['news_letter']['success_message']) : $default_popup['news_letter']['success_message']); ?>" />
											<em class="help-block"><?php _e('What the user will see after successfully signing up to your Newsletter, or Contact Form.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-4">
								<div class="panel-heading"><?php _e('Custom Content', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Custom -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>custom" class="col-sm-3 control-label"><?php _e('Custom HTML', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<?php wp_editor(html_entity_decode($edit_data['custom']), self::$prefix_dash . 'custom', array(
													'textarea_name' => self::$prefix_dash . 'custom',
													'textarea_rows' => '40',
													'editor_class' 	=> self::$prefix_dash . 'custom',
												)); ?>
											<!-- <textarea class="form-control" id="<?php echo self::$prefix_dash; ?>custom" name="<?php echo self::$prefix_dash; ?>custom" rows="20" cols="100"><?php echo (isset($edit_data['custom']) ? html_entity_decode($edit_data['custom']) :'');?></textarea> -->
											<em class="help-block"><?php _e('Add all your custom HTML here.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-7">
								<div class="panel-heading"><?php _e('Social Icons', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Social Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>social-color" class="col-sm-3 control-label"><?php _e('Social Icons Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>social-color" name="<?php echo self::$prefix_dash; ?>social-color" class="color_input" value="<?php echo (isset($edit_data['style']['social_color']) ? $edit_data['style']['social_color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the social icons inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Social Media Accounts - Repeater Field -->

									<button type="button" role="button" class="<?php echo self::$prefix_dash; ?>social-add-platform <?php echo self::$prefix_dash; ?>social-div btn btn-success">
										<span class="glyphicon glyphicon-plus"></span>
										<?php _e('Add Social Media Platform'); ?>
									</button>
									<br/>
									<br/>

									<table id="<?php echo self::$prefix_dash; ?>social-div-table" class="table table-striped <?php echo self::$prefix_dash; ?>social-div">

										<thead>
											<tr>
												<th class="text-center"><?php _e('Move', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('Type', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('URL', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('Remove', self::$text_domain); ?></th>
											</tr>
										</thead>

										<tbody id="<?php echo self::$prefix_dash; ?>social-div-tbody">

											<?php foreach ($edit_data['social']['icons'] as $icon) { ?>

											<tr class="text-center">
												<td>
													<i class="<?php echo self::$prefix_dash; ?>move fa fa-bars"></i>
												</td>
												<td>

													<select id="<?php echo self::$prefix_dash; ?>social-type" name="<?php echo self::$prefix_dash; ?>social-type[]">
													<?php foreach (self::$social_icons as $key => $name) { ?>
														<option value="<?php echo $key; ?>" <?php selected($icon['type'], $key, true); ?>><?php echo $name; ?></option>
													<?php } ?>
													</select>
												</td>
												<td>
													<input class="form-control" id="<?php echo self::$prefix_dash; ?>social-twitter-url" name="<?php echo self::$prefix_dash; ?>social-url[]" type="text" value="<?php echo (isset($icon['url']) ? $icon['url'] :''); ?>" placeholder="http://example.com"/>
												</td>
												<td>
													<input class="<?php echo self::$prefix_dash; ?>social-remove-platform btn btn-danger" type="button" value="<?php _e('Remove'); ?>"/>
												</td>
											</tr>

											<?php } ?>

										</tbody>
									</table>

								</div>
							</div>

							<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12">
								<div class="panel-heading"><?php _e('List', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- List Color -->

									<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-11 <?php echo self::$prefix_dash; ?>template-12">
										<label for="<?php echo self::$prefix_dash; ?>list-color" class="col-sm-3 control-label"><?php _e('Icon Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>list-color" name="<?php echo self::$prefix_dash; ?>list-color" class="color_input" value="<?php echo (isset($edit_data['template']['args']['list']['color']) ? $edit_data['template']['args']['list']['color'] :'');?>"/>
											<em class="help-block"><?php _e('The color of the list icons inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- List - Repeater Field -->

									<button type="button" role="button" class="<?php echo self::$prefix_dash; ?>list-add-platform <?php echo self::$prefix_dash; ?>list-div btn btn-success">
										<span class="glyphicon glyphicon-plus"></span>
										<?php _e('Add List Item'); ?>

									</button>

									<br/>
									<br/>

									<table id="<?php echo self::$prefix_dash; ?>list-div-table" class="table table-striped <?php echo self::$prefix_dash; ?>list-div">

										<thead>
											<tr>
												<th class="text-center"><?php _e('Move', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('Icon', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('Text', self::$text_domain); ?></th>
												<th class="text-center"><?php _e('Remove', self::$text_domain); ?></th>
											</tr>
										</thead>

										<tbody id="<?php echo self::$prefix_dash; ?>list-div-tbody">

											<?php if (isset($edit_data['template']['args']['list']['items'])) : foreach ($edit_data['template']['args']['list']['items'] as $item) { ?>

											<tr class="text-center">
												<td>
													<i class="<?php echo self::$prefix_dash; ?>move fa fa-bars"></i>
												</td>
												<td>
													<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>list-icon[]" data-iconset="fontawesome" data-icon="<?php echo $item['icon']; ?>" role="iconpicker"></button>
												</td>
												<td>
													<input class="form-control" name="<?php echo self::$prefix_dash; ?>list-text[]" type="text" value="<?php echo (isset($item['text']) ? $item['text'] :''); ?>" placeholder="List item text"/>
												</td>
												<td>
													<input class="<?php echo self::$prefix_dash; ?>list-remove-platform btn btn-danger" type="button" value="<?php _e('Remove'); ?>"/>
												</td>
											</tr>

											<?php } endif; ?>

										</tbody>
									</table>

								</div>
							</div>

						</div>

					</div>

				</div><!-- content -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>display-conditions">

					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash;?>when" aria-controls="home" role="tab" data-toggle="tab"><?php _e('When', self::$text_domain); ?></a></li>
						<li role="presentation" class="<?php echo $ab_test ? 'hidden' : ''; ?>"><a href="#<?php echo self::$prefix_dash;?>where" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Where', self::$text_domain); ?></a></li>
						<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>who" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Who', self::$text_domain); ?></a></li>
						<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>miscellaneous" aria-controls="messages" role="tab" data-toggle="tab"><?php _e('Miscellaneous', self::$text_domain); ?></a></li>
					</ul>
					<br/>

					<div class="tab-content">

						<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>when">

							<div class="panel panel-default <?php echo $ab_test ? 'hidden' : ''; ?>">
								<div class="panel-heading"><?php _e('Start / End Dates', self::$text_domain); ?></div>
								<div class="panel-body">

									<?php

									// Format dates

									$start_date = isset($edit_data["args"]["start_date"]) && $edit_data["args"]["start_date"] != '' ?
													date('m/d/Y h:i A', strtotime($edit_data["args"]["start_date"])) :
													date('m/d/Y h:i A', strtotime(current_time('mysql')));

									$end_date = isset($edit_data["args"]["end_date"]) && $edit_data["args"]["end_date"] != '' ?
													date('m/d/Y h:i A', strtotime($edit_data["args"]["end_date"])) :
													date("m/d/Y h:i A", mktime(0, 0, 0, date("m"), date("d"), date("Y")+20));

									?>

									<!-- Start Date -->

									<div class="form-group <?php echo $ab_test ? 'hidden' : ''; ?>">
										<label for="<?php echo self::$prefix_dash; ?>start-date" class="col-sm-3 control-label"><?php _e('Start Date', self::$text_domain); ?></label>
										<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>start-datepicker" style="padding-right: 15px;padding-left: 15px;">
											<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
											<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
											</span>
										</div>
										<em class="col-sm-9 pull-right help-block"><?php _e('The first date this Popup should be displayed on.', self::$text_domain); ?></em>
									</div>

									<!-- End Date -->

									<div class="form-group <?php echo $ab_test ? 'hidden' : ''; ?>">
										<label for="<?php echo self::$prefix_dash; ?>end-date" class="col-sm-3 control-label"><?php _e('End Date', self::$text_domain); ?></label>
										<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>end-datepicker" style="padding-right: 15px;padding-left: 15px;">
											<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
											<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
											</span>
										</div>
										<em class="col-sm-9 pull-right help-block"><?php _e('The last date this Popup should be displayed on.', self::$text_domain); ?></em>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Trigger', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Trigger -->

									<div class="form-group <?php echo $ab_test ? 'hidden' : ''; ?>">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-type" class="col-sm-3 control-label"><?php _e('Trigger', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-args-type" name="<?php echo self::$prefix_dash; ?>trigger-args-type">
												<option value="timer" <?php selected('timer', $edit_data['trigger']['args']['type'], true); ?> ><?php _e('Timed Delay', self::$text_domain); ?></option>
												<option value="exit" <?php selected('exit', $edit_data['trigger']['args']['type'], true); ?> ><?php _e('Exit Intent (when user tries to leave page)', self::$text_domain); ?></option>
												<option value="scroll" <?php selected('scroll', $edit_data['trigger']['args']['type'], true); ?> ><?php _e('Scrolling (bottom of post)', self::$text_domain); ?></option>
												<option value="button" <?php selected('button', $edit_data['trigger']['args']['type'], true); ?> ><?php _e('Custom Button', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('When this popup should be displayed.', self::$text_domain); ?></em>
										</div>
									</div>


									<!-- Timer -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-timer">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-timer" class="col-sm-3 control-label"><?php _e('Timer', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-args-timer" name="<?php echo self::$prefix_dash; ?>trigger-args-timer">
												<option value="0" <?php selected('0', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('Instant', self::$text_domain); ?></option>
												<option value="1000" <?php selected('1000', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('1 sec', self::$text_domain); ?></option>
												<option value="5000" <?php selected('5000', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('5 sec', self::$text_domain); ?></option>
												<option value="10000" <?php selected('10000', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('10 sec', self::$text_domain); ?></option>
												<option value="30000" <?php selected('30000', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('30 sec', self::$text_domain); ?></option>
												<option value="60000" <?php selected('60000', $edit_data['trigger']['args']['timer'], true); ?> ><?php _e('1 min', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Choose a timed delay for popups so that they trigger after readers have been on a page for a specific duration of time.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Scroll -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-scroll">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-scroll" class="col-sm-3 control-label"><?php _e('Scroll', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-args-scroll" name="<?php echo self::$prefix_dash; ?>trigger-args-scroll">
												<option value="0" <?php selected('0', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('0% Down', self::$text_domain); ?></option>
												<option value="25" <?php selected('25', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('25% Down', self::$text_domain); ?></option>
												<option value="50" <?php selected('50', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('50% Down', self::$text_domain); ?></option>
												<option value="75" <?php selected('75', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('75% Down', self::$text_domain); ?></option>
												<option value="100" <?php selected('100', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('100% Down', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Auto detect when reader reaches bottom of post or page, or a a certain percentage down the post.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Exit Intent -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-exit">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-exit" class="col-sm-3 control-label"><?php _e('Exit Intent', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<em class="help-block"><?php _e('Trigger popup as user\'s mouse navigates towards browser\'s back button or another tab.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Custom Button -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-button">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-button" class="col-sm-3 control-label"><?php _e('Custom Button', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<em class="help-block"><?php _e('Add the class "wps-pf-custom-button-' . $edit_data['id'] . '" to any HTML element that you want to display this Popup after a click. (e.g. ' .esc_html('<button class="wps-pf-custom-button-' . $edit_data['id'] . '">Click Me!</button>') . ')', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Cache Time -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>args-dismiss" class="col-sm-3 control-label"><?php _e('Cache Time', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>args-dismiss" name="<?php echo self::$prefix_dash; ?>args-dismiss">
												<option value="no" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == 'no') ? 'selected="selected"' :''); ?> ><?php _e('No caching', self::$text_domain); ?></option>
												<option value="1440" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '1440') ? 'selected="selected"' :''); ?> ><?php _e('1 day', self::$text_domain); ?></option>
												<option value="4320" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '4320') ? 'selected="selected"' :''); ?> ><?php _e('3 days', self::$text_domain); ?></option>
												<option value="7200" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '7200') ? 'selected="selected"' :''); ?> ><?php _e('5 days', self::$text_domain); ?></option>
												<option value="10080" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '10080') ? 'selected="selected"' :''); ?> ><?php _e('7 days', self::$text_domain); ?></option>
												<option value="14400" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '14400') ? 'selected="selected"' :''); ?> ><?php _e('10 days', self::$text_domain); ?></option>
												<option value="28800" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '28800') ? 'selected="selected"' :''); ?> ><?php _e('20 days', self::$text_domain); ?></option>
												<option value="43200" <?php echo ((isset($edit_data['args']['dismiss']) && $edit_data['args']['dismiss'] == '43200') ? 'selected="selected"' :''); ?> ><?php _e('30 days', self::$text_domain); ?></option>
											</select>
											<button class="btn btn-danger btn-xs <?php echo self::$prefix_dash; ?>clear-cache"><?php _e('Clear Cache'); ?></button>
											<em class="help-block">
												<?php _e('The amount of time allotted between displaying the same popup for the same user.  (i.e. if a user visits your website today and a popup is displayed, then how long before the popup can be shown again?)', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Dont show again -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>dont-show-again" class="col-sm-3 control-label"><?php _e('Don\'t Show Again', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash;?>dont-show-again" name="<?php echo self::$prefix_dash;?>dont-show-again" type="checkbox" <?php echo (isset($edit_data['args']['dont_show_again']) && $edit_data['args']['dont_show_again'] ? 'checked="checked"' : '');?>/>
											<label for="<?php echo self::$prefix_dash; ?>dont-show-again">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Once a user clicks the close button, don\'t show this popup again', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

						</div>

						<div role="tabpanel" class="tab-pane <?php echo $ab_test ? 'hidden' : ''; ?>" id="<?php echo self::$prefix_dash;?>where">

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Display Location', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Display On -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>trigger-display-on" class="col-sm-3 control-label"><?php _e('Display On', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-display-on" name="<?php echo self::$prefix_dash; ?>trigger-display-on">
												<option value="site" <?php selected('site', $edit_data['trigger']['display_on'], true); ?> ><?php _e('Site', self::$text_domain); ?></option>
												<option value="frontpage" <?php selected('frontpage', $edit_data['trigger']['display_on'], true); ?> ><?php _e('Front Page', self::$text_domain); ?></option>
												<option value="category" <?php selected('category', $edit_data['trigger']['display_on'], true); ?> ><?php _e('Category', self::$text_domain); ?></option>
												<option value="tag" <?php selected('tag', $edit_data['trigger']['display_on'], true); ?> ><?php _e('Tag', self::$text_domain); ?></option>
												<option value="archive" <?php selected('archive', $edit_data['trigger']['display_on'], true); ?> ><?php _e('Archive', self::$text_domain); ?></option>

												<?php foreach ($post_types as $post_type) { ?>
													<option value="<?php echo $post_type; ?>" <?php selected($post_type, $edit_data['trigger']['display_on'], true); ?> ><?php _e(ucfirst($post_type), self::$text_domain); ?></option>
												<?php } ?>
											</select>
											<em class="help-block"><?php _e('What type of content should this Popup display on.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Post Types -->

									<?php foreach ($post_types as $post_type) { ?>

									<div id="<?php echo self::$prefix_dash; ?>trigger-div-<?php echo $post_type; ?>">

										<!-- All -->

										<div class="form-group" id="<?php echo self::$prefix_dash; ?>trigger-all-div-<?php echo $post_type; ?>">
											<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
											<div class="col-sm-9">
												<input id="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" data-post="<?php echo $post_type; ?>" type="checkbox" <?php echo (isset($edit_data['trigger'][$post_type]['all']) && $edit_data['trigger'][$post_type]['all'] ? 'checked="checked"' :''); ?>/>
												<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>">
										            <span class="fa-stack fa-lg">
										                <i class="fa fa-square-o fa-stack-1x"></i>
										                <i class="fa fa-check fa-stack-1x"></i>
										            </span>
										        </label>
											</div>
										</div>

										<!-- ID -->

										<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-id-div-<?php echo $post_type; ?>'>
											<label for="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e(ucfirst($post_type), self::$text_domain); ?></label>
											<div class="col-sm-9">
												<input class="form-control <?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($edit_data['trigger'][$post_type]['id']) ? $edit_data['trigger'][$post_type]['id'] :'');?>'/>
												<em class="help-block"><?php _e('Only display this Popup on these ' .  ucfirst($post_type) . 's.', self::$text_domain); ?></em>
											</div>
										</div>

									</div>

									<?php } ?>

									<!-- Category -->

									<div id='<?php echo self::$prefix_dash; ?>trigger-category-div'>

										<!-- All -->

										<div class="form-group" id="<?php echo self::$prefix_dash; ?>trigger-category-all-div">
											<label for="<?php echo self::$prefix_dash; ?>trigger-category-all" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
											<div class="col-sm-9">
												<input id="<?php echo self::$prefix_dash; ?>trigger-category-all" name="<?php echo self::$prefix_dash; ?>trigger-category-all" type="checkbox" <?php echo (isset($edit_data['trigger']['category']['all']) && $edit_data['trigger']['category']['all'] ? 'checked="checked"' :''); ?>/>
												<label for="<?php echo self::$prefix_dash; ?>trigger-category-all">
										            <span class="fa-stack fa-lg">
										                <i class="fa fa-square-o fa-stack-1x"></i>
										                <i class="fa fa-check fa-stack-1x"></i>
										            </span>
										        </label>
											</div>
										</div>

										<!-- ID -->

										<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-category-id-div'>
											<label for="<?php echo self::$prefix_dash; ?>trigger-category-id" class="col-sm-3 control-label"><?php _e('ID', self::$text_domain); ?></label>
											<div class="col-sm-9">
												<input id="<?php echo self::$prefix_dash; ?>trigger-category-id" name="<?php echo self::$prefix_dash; ?>trigger-category-id" class='form-control' type='text' value='<?php echo (isset($edit_data['trigger']['category']['id']) ? $edit_data['trigger']['category']['id'] :'');?>'/>
												<em class="help-block"><?php _e('Accecpts a single id (i.e. 216) or a comma separated list of ids (i.e 216,189,567)', self::$text_domain); ?></em>
												<em class="help-block"><?php _e('Only posts inside these categories will display a Popup.', self::$text_domain); ?></em>
											</div>
										</div>

									</div>

									<!-- Tag -->

									<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-tag-div'>
										<label class="col-sm-3 control-label"><?php _e('Tags', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input id="<?php echo self::$prefix_dash; ?>trigger-tag-id" name="<?php echo self::$prefix_dash; ?>trigger-tag-id" class='form-control' type='text' value='<?php echo (isset($edit_data['trigger']['tag']['id']) ? $edit_data['trigger']['tag']['id'] :'');?>'/>
											<em class="help-block"><?php _e('Only posts with these tags will display a Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Excludes', self::$text_domain); ?></div>
								<div class="panel-body">

									<p><?php _e('All excludes will take priority over the includes.  For example, if you include and exclude a post at the same time then the Popup will not be shown on that post.', self::$text_domain); ?></p>

									<!-- Post Types -->

									<?php foreach ($post_types as $post_type) { ?>

									<!-- Exclude -->

									<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-exclude-div-<?php echo $post_type; ?>'>
										<label for="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('Exclude ' . ucfirst($post_type) . 's', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control <?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($edit_data['trigger'][$post_type]['exclude']) ? $edit_data['trigger'][$post_type]['exclude'] :'');?>'/>
											<em class="help-block"><?php _e('Do NOT display this Popup on these ' .  ucfirst($post_type) . 's.', self::$text_domain); ?></em>
										</div>
									</div>

									<?php } ?>

								</div>
							</div>

						</div>

						<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>who">

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('User Visibility', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Users -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-users" class="col-sm-3 control-label"><?php _e('Users', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-args-users" name="<?php echo self::$prefix_dash; ?>trigger-args-users">
												<option value="everyone" <?php selected('everyone', $edit_data['trigger']['args']['users'], true); ?> ><?php _e('Everyone', self::$text_domain); ?></option>
												<option value="logged_in" <?php selected('logged_in', $edit_data['trigger']['args']['users'], true); ?> ><?php _e('Only Users', self::$text_domain); ?></option>
												<option value="logged_out" <?php selected('logged_out', $edit_data['trigger']['args']['users'], true); ?> ><?php _e('Only Non-Users', self::$text_domain); ?></option>
												<option value="specific" <?php selected('specific', $edit_data['trigger']['args']['users'], true); ?> ><?php _e('Specific User Roles', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('What type of content should this Popup display on.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- User Roles -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-users <?php echo self::$prefix_dash; ?>trigger-args-users-specific">
										<label class="col-sm-3 control-label"><?php _e('User Roles', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<em class="help-block"><?php _e('Which users, based on roles, can see this Popup.', self::$text_domain); ?></em>
											<?php

											foreach ($wp_roles->role_names as $role_name => $role) { ?>
												<input type="checkbox" id="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>" class="<?php echo self::$prefix_dash; ?>role" name="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>" <?php echo isset($edit_data['trigger']['args']['user_roles'][$role_name]) && $edit_data['trigger']['args']['user_roles'][$role_name] ? 'checked="checked"' : ''; ?> class="form-control"/>
												<label for="<?php echo self::$prefix_dash; ?>args-role-<?php echo $role_name; ?>">
										            <span class="fa-stack fa-lg">
										                <i class="fa fa-square-o fa-stack-1x"></i>
										                <i class="fa fa-check fa-stack-1x"></i>
										            </span>
										        </label>
												<span><?php echo $role; ?></span><br/>

											<?php } ?>

										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('URL Referrer', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Referrer Type -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type" class="col-sm-3 control-label"><?php _e('Referrer Type', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type" name="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type">
												<option value="any" <?php selected('any', $edit_data['trigger']['args']['referrer_type'], true); ?> ><?php _e('Any Domain', self::$text_domain); ?></option>
												<option value="specific" <?php selected('specific', $edit_data['trigger']['args']['referrer_type'], true); ?> ><?php _e('Specific Domains', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Display Popup if user is coming from a certain domain.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Referrer -->

									<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-referrer <?php echo self::$prefix_dash; ?>trigger-args-referrer-specific">
										<label class="col-sm-3 control-label"><?php _e('Referrer Domains', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>trigger-args-referrer" name="<?php echo self::$prefix_dash; ?>trigger-args-referrer" placeholder="<?php _e('e.g t.co,www.facebook.com,plus.url.google.com,www.linkedin.com', self::$text_domain); ?>" value="<?php echo (isset($edit_data['trigger']['args']['referrer']) ? $edit_data['trigger']['args']['referrer'] :''); ?>" data-urls="<?php echo (isset($edit_data['trigger']['args']['referrer']) ? $edit_data['trigger']['args']['referrer'] :''); ?>"/>
											<em class="help-block"><?php _e('Valid domains the user must come from in order for Popup to display.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

						</div>

						<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>miscellaneous">

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Miscellaneous', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Run plugin scripts on mobile/tablet devices -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>mobile" class="col-sm-3 control-label"><?php _e('Activate on Mobile', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>mobile" name="<?php echo self::$prefix_dash; ?>mobile" type='checkbox' <?php echo (isset($edit_data['args']['mobile']) && $edit_data['args']['mobile'] == 'yes' ? 'checked="checked"' : '');?>/>
											<label for="<?php echo self::$prefix_dash; ?>mobile">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Display the Popup on a mobile device.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

						</div>

					</div>

				</div><!-- display conditionsa -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>style">

					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash;?>text-tab" aria-controls="home" role="tab" data-toggle="tab"><?php _e('Text', self::$text_domain); ?></a></li>
						<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>background" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Background', self::$text_domain); ?></a></li>
						<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>custom-css" aria-controls="messages" role="tab" data-toggle="tab"><?php _e('Custom CSS', self::$text_domain); ?></a></li>
					</ul>
					<br/>

					<div class="tab-content">

						<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>text-tab">

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Color', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Text Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>color" class="col-sm-3 control-label"><?php _e('Text Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>color" name="<?php echo self::$prefix_dash; ?>color" class="color_input" value="<?php echo (isset($edit_data['style']['color']) ? $edit_data['style']['color'] :'');?>"/>
											<em class="help-block"><?php _e('The text color of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Font', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Font Size -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>font-size" class="col-sm-3 control-label"><?php _e('Font Size', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>font-size" name="<?php echo self::$prefix_dash; ?>font-size">
												<option value="auto" <?php selected($edit_data['style']['font_size'], 'auto', true); ?>><?php _e('auto', self::$text_domain); ?></option>
												<option value="14" <?php selected($edit_data['style']['font_size'], '14', true); ?>><?php _e('small', self::$text_domain); ?></option>
												<option value="18" <?php selected($edit_data['style']['font_size'], '18', true); ?>><?php _e('medium', self::$text_domain); ?></option>
												<option value="24" <?php selected($edit_data['style']['font_size'], '24', true); ?>><?php _e('large', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('The font size of the text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Font Weight -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>font-weight" class="col-sm-3 control-label"><?php _e('Font Weight', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>font-weight" name="<?php echo self::$prefix_dash; ?>font-weight">
												<option value="normal" <?php selected($edit_data['style']['font_weight'], 'normal', true); ?>><?php _e('normal', self::$text_domain); ?></option>
												<option value="bold" <?php selected($edit_data['style']['font_weight'], 'bold', true); ?>><?php _e('bold', self::$text_domain); ?></option>
												<option value="bolder" <?php selected($edit_data['style']['font_weight'], 'bolder', true); ?>><?php _e('bolder', self::$text_domain); ?></option>
												<option value="lighter" <?php selected($edit_data['style']['font_weight'], 'lighter', true); ?>><?php _e('lighter', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('The font weight of the text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Enable Google Fonts -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>google-fonts" class="col-sm-3 control-label"><?php _e('Enable Google Fonts', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input id="<?php echo self::$prefix_dash; ?>google-fonts" name="<?php echo self::$prefix_dash; ?>google-fonts" type="checkbox" class="form-control" <?php echo (isset($edit_data['style']['google_fonts']) && $edit_data['style']['google_fonts'] ? 'checked="checked"' : ''); ?>/>
											<label for="<?php echo self::$prefix_dash; ?>google-fonts">
									            <span class="fa-stack fa-lg">
									                <i class="fa fa-square-o fa-stack-1x"></i>
									                <i class="fa fa-check fa-stack-1x"></i>
									            </span>
									        </label>
											<em class="help-block"><?php _e('Use Google Fonts instead of the generic web fonts.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Heading Font Family -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>font-family-heading" class="col-sm-3 control-label"><?php _e('Heading Font Family', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<div style="max-width: 350px;" id="<?php echo self::$prefix_dash; ?>google-font-heading" class="bfh-selectbox bfh-googlefonts" data-name="<?php echo self::$prefix_dash; ?>font-family-heading" data-font="<?php echo (!in_array($edit_data['style']['font_family_heading'], self::$font_families) ? $edit_data['style']['font_family_heading'] : 'Open Sans'); ?>"></div>
											<select id="<?php echo self::$prefix_dash; ?>font-family-heading" name="<?php echo self::$prefix_dash; ?>font-family-heading">
												<?php foreach (self::$font_families as $font_family) { ?>
												<option value='<?php echo $font_family; ?>' <?php selected($edit_data['style']['font_family_heading'], $font_family, true); ?>><?php _e($font_family, self::$text_domain); ?></option>
												<?php } ?>
											</select>
											<em class="help-block"><?php _e('The font family of the Heading inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Font Family -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>font-family" class="col-sm-3 control-label"><?php _e('Text Font Family', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>font-family" name="<?php echo self::$prefix_dash; ?>font-family">
												<?php foreach (self::$font_families as $font_family) { ?>
												<option value='<?php echo $font_family; ?>' <?php selected($edit_data['style']['font_family'], $font_family, true); ?>><?php _e($font_family, self::$text_domain); ?></option>
												<?php } ?>
											</select>
											<div style="max-width: 350px;" id="<?php echo self::$prefix_dash; ?>google-font" class="bfh-selectbox bfh-googlefonts" data-name="<?php echo self::$prefix_dash; ?>font-family" data-font="<?php echo (!in_array($edit_data['style']['font_family'], self::$font_families) ? $edit_data['style']['font_family'] : 'Open Sans'); ?>"></div>
											<em class="help-block"><?php _e('The font family of the text inside the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

						</div>

						<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>background">

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Color', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Background Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>background-color" class="col-sm-3 control-label"><?php _e('Background Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>background-color" name="<?php echo self::$prefix_dash; ?>background-color" class="color_input" value="<?php echo (isset($edit_data['style']['background_color']) ? $edit_data['style']['background_color'] :'');?>"/>
											<em class="help-block"><?php _e('The background color of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Border Color -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>border-color" class="col-sm-3 control-label"><?php _e('Border Color', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<input type="text" id="<?php echo self::$prefix_dash; ?>border-color" name="<?php echo self::$prefix_dash; ?>border-color" class="color_input" value="<?php echo (isset($edit_data['style']['border_color']) ? $edit_data['style']['border_color'] :'');?>"/>
											<em class="help-block"><?php _e('The border color of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Background', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Background Type -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>background-type" class="col-sm-3 control-label"><?php _e('Background Type', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>background-type" name="<?php echo self::$prefix_dash; ?>background-type">
												<option value="pattern" <?php selected($edit_data['style']['background_type'], 'pattern', true); ?>><?php _e('pattern', self::$text_domain); ?></option>
												<option value="image" <?php selected($edit_data['style']['background_type'], 'image', true); ?>><?php _e('image', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('Display an image or pattern as the background of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Background Image -->

									<div class="form-group <?php echo self::$prefix_dash; ?>background-type <?php echo self::$prefix_dash; ?>background-type-image">
										<label for="<?php echo self::$prefix_dash; ?>background-image" class="col-sm-3 control-label"><?php _e('Background Image', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<?php
											$background_image_attributes = wp_get_attachment_image_src($edit_data['style']["background_image"], 'medium'); // returns an array

											if( $background_image_attributes ) {
												$background_image_src = $background_image_attributes[0];
											} else {
												$background_image_src = '';
											}
											?>

											<div id="<?php echo self::$prefix_dash; ?>background-image-show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($background_image_src) && $background_image_src != '' ? 'background-image: url(' . $background_image_src . ');' : ''; ?> background-repeat: no-repeat; background-position: center center;background-size: contain;" class="form-control well"></div>
											<em class="help-block"><?php _e('Select a high-quality image.', self::$text_domain)?></em>


											<input id="<?php echo self::$prefix_dash; ?>background-image-btn" class="btn btn-primary" type="button" value="<?php _e('Set Image', self::$text_domain); ?>" />
											<input id="<?php echo self::$prefix_dash; ?>background-image-btn-remove" class="btn btn-danger" type="button" value="<?php _e('Remove Image', self::$text_domain); ?>" />

											<input id="<?php echo self::$prefix_dash; ?>background-image" name="<?php echo self::$prefix_dash; ?>background-image" class="form-control hidden" type="text" value="<?php echo isset($edit_data['style']['background_image']) ? esc_attr($edit_data['style']['background_image']) : ''; ?>">
										</div>
									</div>

									<!-- Background Pattern -->

									<div class="form-group <?php echo self::$prefix_dash; ?>background-type <?php echo self::$prefix_dash; ?>background-type-pattern">
										<label for="<?php echo self::$prefix_dash; ?>background-pattern" class="col-sm-3 control-label"><?php _e('Background Pattern', self::$text_domain); ?></label>
										<div class="col-sm-9">

											<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('None', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'none' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px;">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-none" value="none" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'none' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Dots', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'dots' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAB1JREFUGBljYGBg4AFiQoAYNYTMGJWHhgAxgckDACfCADFzWBHCAAAAAElFTkSuQmCC);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-dots" value="dots" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'dots' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Diagonal Right', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diagonal_right' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAABVJREFUGBljYCAO8BCjbFQRA/WCAABg/gB584t6RwAAAABJRU5ErkJggg==);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diagonal-right" value="diagonal_right" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diagonal_right' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
												 	<?php _e('Diagonal Left', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diagonal_left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAABhJREFUGBljYGBg4AFiosGoYuSgomFoAABg/gB5Q6KWYgAAAABJRU5ErkJggg==);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diagonal-left" value="diagonal_left" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diagonal_left' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Grid', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'grid' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAB1JREFUGBljZGBg4AFiogBRCpmIMgqoaFQh3pACADLgACqd10PPAAAAAElFTkSuQmCC);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-grid" value="grid" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'grid' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Zig Zag', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'zig_zag' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAICAYAAADA+m62AAAAAXNSR0IArs4c6QAAADFJREFUGBljYMAEPJhCmCIwRTAaUwVQBF0SnQ/WhFUQXTMuRTBrCcnD1OG1EUURaRwAYKwAecAGMfQAAAAASUVORK5CYII=);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-zig-zag" value="zig_zag" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'zig_zag' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Diamonds', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diamonds' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAEVJREFUGBljYMAEPEAhEMYLkBUgs1E0YZPAEMMQQDICLgdnIEmiM3mY0EUI8fGZiiGHIQA0HZsY2FJkCWQ2VheBFGAoAgCw1ADb2LiCOQAAAABJRU5ErkJggg==);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diamonds" value="diamonds" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'diamonds' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Hearts', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'hearts' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADlJREFUGBljYKA14EGzAM5nRJKACyKJwZhfmGAsQjSyiSC12Ez9ApJAV4iuGKwIJIgLYDMZl1oyxQFOKAMqAtJ4RAAAAABJRU5ErkJggg==);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-hearts" value="hearts" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'hearts' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('Circles', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'circles' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADNJREFUGBljYKAH4AFaAsJ4AbICZDaKJmwScDEmFKUkcOAmAPUgs7EaAVJAUBFWnSQJAgBkhAB7H4o0xwAAAABJRU5ErkJggg==);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-circles" value="circles" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'circles' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

												<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
													<?php _e('X Out', self::$text_domain); ?>
													<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'x_out' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADRJREFUGBljYKAl4MFiODYxsDJkCWQ2FjMYGEAKMBQxYVVKhCCySchsFK3YJLCJoWginwMAZIQAe7Ze2SMAAAAASUVORK5CYII=);">
														<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-x-out" value="x_out" <?php echo isset($edit_data['style']['background_pattern']) && $edit_data['style']['background_pattern'] == 'x_out' ? 'checked="checked"' : ''; ?>/>
													</label>

												</div>

											</div>
											<em class="help-block"><?php _e('The background pattern of the Popup.', self::$text_domain); ?></em>
										</div>
									</div>

									<!-- Button Shape -->

									<div class="form-group">
										<label for="<?php echo self::$prefix_dash; ?>button-shape" class="col-sm-3 control-label"><?php _e('Buttons and Input Fields Shape', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<select id="<?php echo self::$prefix_dash; ?>button-shape" name="<?php echo self::$prefix_dash; ?>button-shape">
												<option value="rounded" <?php selected($edit_data['style']['button_shape'], 'rounded', true); ?>><?php _e('rounded', self::$text_domain); ?></option>
												<option value="square" <?php selected($edit_data['style']['button_shape'], 'square', true); ?>><?php _e('square', self::$text_domain); ?></option>
											</select>
											<em class="help-block"><?php _e('The shape for all buttons and input fields.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div>

						</div>

						<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>custom-css">
							<div class="panel panel-default">
								<div class="panel-heading"><?php _e('Custom CSS', self::$text_domain); ?></div>
								<div class="panel-body">

									<!-- Custom CSS -->

									<div class="form-group">
										<label class="col-sm-3 control-label"><?php _e('Custom CSS', self::$text_domain); ?></label>
										<div class="col-sm-9">
											<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>custom-css" name="<?php echo self::$prefix_dash; ?>custom-css" rows="10"><?php echo (isset($edit_data['style']['custom_css']) ? html_entity_decode($edit_data['style']['custom_css']) :'');?></textarea>
											<em class="help-block"><?php _e('Custom CSS that will load with the popup.', self::$text_domain); ?></em>
										</div>
									</div>

								</div>
							</div><!-- Custom CSS -->
						</div>

						<div class="panel panel-default hidden">
							<div class="panel-heading"><?php _e('A/B Testing', self::$text_domain); ?></div>
							<div class="panel-body">

								<!-- A/B Testing Active -->

								<div class="hidden form-group">
									<label for="<?php echo self::$prefix_dash; ?>args-ab-testing-active" class="col-sm-3 control-label"><?php _e('A/B Testing', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<select id="<?php echo self::$prefix_dash; ?>args-ab-testing-active" name="<?php echo self::$prefix_dash; ?>args-ab-testing-active" class="form-control">
											<option value="1" <?php echo ((bool) $edit_data['args']['ab_testing']['active'] == 1 ? 'selected="selected"' :''); ?>><?php _e('Active', self::$text_domain); ?></option>
											<option value="0" <?php echo ((bool) $edit_data['args']['ab_testing']['active'] == 0 ? 'selected="selected"' :''); ?>><?php _e('Inactive', self::$text_domain); ?></option>
										</select>
										<em class="help-block"><?php _e('Activate an A/B Test.', self::$text_domain); ?></em>
									</div>
								</div>

								<!-- A/B Testing Popup ID -->

								<div class="hidden form-group">
									<label for="<?php echo self::$prefix_dash; ?>args-ab-testing-popup-id" class="col-sm-3 control-label"><?php _e('Status', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input class="form-control" id="<?php echo self::$prefix_dash; ?>args-ab-testing-popup-id" name="<?php echo self::$prefix_dash; ?>args-ab-testing-popup-id" type="text" value="<?php echo (isset($edit_data['args']['ab_testing']['popup_id']) ? $edit_data['args']['ab_testing']['popup_id'] :''); ?>" />
										<em class="help-block"><?php _e('The popup ID of the A/B Test comparison.', self::$text_domain); ?></em>
									</div>
								</div>

								<!-- A/B Testing Start Date -->

								<div class="hidden form-group">
									<label for="<?php echo self::$prefix_dash; ?>args-ab-testing-start-date" class="col-sm-3 control-label"><?php _e('Status', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input class="form-control" id="<?php echo self::$prefix_dash; ?>args-ab-testing-start-date" name="<?php echo self::$prefix_dash; ?>args-ab-testing-start-date" type="text" value="<?php echo (isset($edit_data['args']['ab_testing']['start_date']) ? $edit_data['args']['ab_testing']['start_date'] :''); ?>" />
										<em class="help-block"><?php _e('The start date of the A/B Test comparison.', self::$text_domain); ?></em>
									</div>
								</div>

							</div>
						</div><!-- A/B Testing -->

					</div>

				</div><!-- style -->

					<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

				</div>

			</div>

		</form>

	</div>

	<?php require_once('footer.php'); ?>

</div>